#!/bin/bash -x
usage() {
    echo "Incorrect options provided"
    echo "Usage: ./migrate.sh -s <SRC_HOST> -d <DST_HOST> -n <VM_NAME>"
    exit 1
}

while getopts ":s:d:n:" o; do
    case "${o}" in
    s)
		SRC=${OPTARG}
		;;
	d)
		DST=${OPTARG}
        ;;
    n)
		VM=${OPTARG}
        ;;
    *)
        usage
        ;;
    esac
done
SRC_SSH="ssh root@$SRC"
DST_SSH="ssh root@$DST"
while true;do
    ssh root@$SRC virsh migrate $VM qemu+ssh://root@$DST/system --verbose
    if [ $? -eq 0 ];then
        echo Now vm is on $DST
    fi
    ssh root@$DST virsh migrate $VM qemu+ssh://root@$SRC/system --verbose
    if [ $? -eq 0 ];then
        echo Now vm is on $SRC
    fi
done
