#!/bin/bash - 
set -o nounset                              # Treat unset variables as an error
usage() {
    echo "Incorrect options provided"
    echo "Usage: ./spice.sh -h <HOST> -p <PORT> -r <RANDOM_RANGE> -o <LOG>"
    exit 1
}

RAND='3-12'
LOG=viewer.log
while getopts ":h:p:" o; do
    case "${o}" in
    h)
        HOST=${OPTARG}
        ;;
    p)
        PORT=${OPTARG}
        ;;
    r)
        RAND=${OPTARG}
        ;;
    o)
        LOG=${OPTARG}
        ;;
    *)
        break
        ;;
    esac
done

SPICE_URL="spice://$HOST:$PORT"
DEBUG_OPTS='--debug -v --spice-debug'
count=1
SIGABRT=134
SIGSEGV=139

while true;do
    timeout=$(shuf -i $RAND -n 1)
    echo "-------------------------------COUNT $count---------------------------" |tee $LOG
    G_MESSAGES_DEBUG=all timeout -s INT $timeout remote-viewer $DEBUG_OPTS $SPICE_URL &>>$LOG
    count=$(expr $count + 1)
done
